Bug 9118 - Show only sensible options when editing a unique holiday
Summary: Show only sensible options when editing a unique holiday
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Emmi Takkinen
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-20 15:57 UTC by Nicole C. Engard
Modified: 2020-11-17 20:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 9118: Do not show option to create exception on range for unique holiday (4.32 KB, patch)
2020-10-05 09:29 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 9118: Do not show option to create exception on range for unique holiday (4.38 KB, patch)
2020-10-06 13:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9118: Do not show option to create exception on range for unique holiday (4.43 KB, patch)
2020-10-13 13:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9118: (QA follow-up) Fix spelling on "To Date :" (1.28 KB, patch)
2020-10-13 13:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-11-20 15:57:37 UTC
See the 3.8 manual: http://manual.koha-community.org/3.8/en/additionaltools.html#editevents  there were different options depending on the type of event you were editing.

In 3.10/master when you edit a unique event you have the option to do things on a range and or generate an exception ... seems silly.  There is no range on a unique holiday and there is no exception to generate.  We should only have reasonable editing options when editing events.
Comment 1 Katrin Fischer 2016-04-29 08:35:59 UTC
Still valid.
Comment 2 Emmi Takkinen 2020-10-05 09:29:33 UTC
Created attachment 111214 [details] [review]
Bug 9118: Do not show option to create exception on range for unique holiday

When an unique holiday is edited one can choose
option 'Generate exceptions on a range of dates.'
Exceptions are meant to be used with repeating
holidays and it makes no sense to have option to
be able to create one for an unique holiday.

This patch hides exception on range option when
editing an unique holiday. Also fixes a minor
spelling error.

To test:
1. Create unique holiday and edit it.
2. Note that option to create exception on range is shown.
3. Apply patch.
=> Option is now hidden.
Comment 3 Owen Leonard 2020-10-06 13:59:44 UTC
Created attachment 111310 [details] [review]
Bug 9118: Do not show option to create exception on range for unique holiday

When an unique holiday is edited one can choose
option 'Generate exceptions on a range of dates.'
Exceptions are meant to be used with repeating
holidays and it makes no sense to have option to
be able to create one for an unique holiday.

This patch hides exception on range option when
editing an unique holiday. Also fixes a minor
spelling error.

To test:
1. Create unique holiday and edit it.
2. Note that option to create exception on range is shown.
3. Apply patch.
=> Option is now hidden.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2020-10-13 13:06:41 UTC
Created attachment 111558 [details] [review]
Bug 9118: Do not show option to create exception on range for unique holiday

When an unique holiday is edited one can choose
option 'Generate exceptions on a range of dates.'
Exceptions are meant to be used with repeating
holidays and it makes no sense to have option to
be able to create one for an unique holiday.

This patch hides exception on range option when
editing an unique holiday. Also fixes a minor
spelling error.

To test:
1. Create unique holiday and edit it.
2. Note that option to create exception on range is shown.
3. Apply patch.
=> Option is now hidden.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-10-13 13:06:45 UTC
Created attachment 111559 [details] [review]
Bug 9118: (QA follow-up) Fix spelling on "To Date :"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-10-13 13:07:03 UTC
I really love these kind of small usability fixes.
Comment 7 Jonathan Druart 2020-10-14 12:53:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Aleisha Amohia 2020-11-17 03:56:07 UTC
enhancement, not backported to 19.11.x
Comment 9 Aleisha Amohia 2020-11-17 20:36:42 UTC
Lucas has also backported this to 20.05.x for 20.05.06